Introduction

Sheriff is used by software publishers to protect their products from illegal use by ensuring that they can run only on machines for which they are licensed. In order to run a Sheriff-protected product for the first time you must obtain a unique licence key from the publisher. Normally this process takes place when a product is installed, although it can be done manually using the Sheriff Administrator.

A licence key is stored in a licence file on your hardware; because the licence file is bound to the hardware, it is not possible to run the publisher's application illegally.

To obtain your licence key you must supply the software provider with a Reference Code, normally displayed at the time of installation. The 24-digit Reference Code incorporates a unique digital fingerprint of the computer on which it was generated and the licence key granted by the software provider is also unique to that computer. If a Sheriff-protected software product is copied to another computer it will fail to run unless (a) the software provider issues a new licence or (b) an existing licence is imported from another computer or (c) the software is being run on a network and there are spare licences available on the server.

In order to run, a Sheriff-protected product must be both registered and licensed on the user's computer. Normally both of these operations are performed on installation but it is also possible to register and/or license a product with the Sheriff Administrator. For further information see the topic Licensing & Registering.


Administrator Overview

With the Administrator you can:

  • Register and/or license Sheriff-protected products.
  • Monitor licence usage (E.g. by networked users).
  • Manage networked users (Eg. suspend a user's access).
  • Maintain portable licences (using the import/export facility).
  • Regenerate a licence file that has been deleted or corrupted.
  • Terminate a licence manually and provide verification to the publisher
  • Remove a licensed product (used by software developers for debugging)

All Sheriff-protected products can be managed from a single Administrator, even those from different software publishers.


Registering & Licensing Overview

Licensing & Registering a Product

Overview

  • Licensing a product creates a Licence File. The Licence File contains details of the licence policy E.g. when the licence will expire, how many concurrent users are permitted etc. Without a valid Licence File the product cannot run. The Licence File is often created as part of the product installation process but it can be created manually using the Sheriff Administrator (see To Licence a Product below).

  • Registering a product creates the appropriate key in the Windows Registry. The key contains important information about the Licence File i.e. its name and location. Registration is also normally a part of the installation process, however it is also possible to register a product manually. This is usually necessary when a product has already been installed on a network server and you wish to run the product on a workstation.

Important Note: Reusable Keys

If you have been issued with a 'Reusable' Licence Key it is important that you make a note of the number . This will enable you to regenerate the Licence File on the same machine* in the event that it is overwritten or damaged. Enter the Licence Key number into the Licence Product dialog box and click Save to regenerate the Licence File.

* Provided the hard disk has not been reformatted or the operating system reinstalled.

To License a Product

As explained above, licensing a product creates a Licence File and normally this is not necessary since the file will have been created automatically as part of the installation process. If you need to create a Licence File manually, follow these steps:

  1. Click on the Registry button in the Sheriff Administrator to bring up the Register Products dialog box.

  2. Enter your product name in the Product Name box and your Product ID in the Product ID box and specify a path where you would like to create the Licence File.

  3. Click on the License button. The License Product dialog box now displays a Reference Code and prompts you for a Licence Key, which is obtained from the publisher. When a valid key has been entered the product will be licensed.

To Register with an Existing Network Licence

The Register procedure is normally only used to register a product with an existing network Licence File, which is usually located on a file server. In other words, it "tells" the Sheriff protection where to find a valid Licence File on the network:

  1. Click on the Registry button in the Sheriff Administrator to bring up the Register Products dialog box.

  2. Enter your product name in the Product Name box and your Product ID in the Product ID box and specify the path to the Licence File (you can use UNC to specify the path).

  3. Click on the Register button.


Importing/Exporting a Licence

Overview

The import facility enables you to operate a Sheriff-protected product on a machine for which you do not have a licence, unless this facility has been disabled by the software publisher.

To understand this topic it is important to appreciate the difference between the source machine and the target machine, since different rules apply to each. The source is the machine on which the licence was originally registered i.e. the machine for which the publisher issued the original licence key. The target is a machine to which you export a licence from the source machine.

To run a Sheriff-protected product on a target you may import a licence from the source provided that (a) the software publisher enabled this facility when defining the licence policy and (b) you adhere to the operational rules set out below.

You can import/export both standalone and network licences. All import/export activity is recorded in the log file (SlsAdmin.log).

NB. If you want to permanently export the source licence you should use the move licence facility. For example, if you wanted to export a licence to a laptop for a few days, you would use the export facility but if you wanted to upgrade your file server you would use the move licence facility to relocate the licence to the new server.

Operational Rules

  1. The product must be registered and licensed on the source machine and also registered on the target machine before you can import the licence.

  2. You can define the features of the exported licence, provided these remain within the terms of the licence policy.

  3. When either the users or units have been fully exported the application cannot execute on the source until the licence is imported back from the target.. For example, you have a licence with two users and ten units on the source and you export one user and ten units to the target; what remains on the source is one user with zero units - meaning that the user will be unable to run the application on the source as there are no available units.

  4. A licence can only be imported either to a machine that does not already have a valid licence or to the source machine.

  5. If the licence on the source is modified after a licence is exported, then the exported licence cannot be imported back (reclaimed) by the source machine - Sheriff sees a modified licence as a different licence. For example, if the publisher issues more units to the source machine, then the exported licence cannot be reclaimed.

  6. A licence can only automatically restore on the source machine - there is no automatic restoration on the the target machine. Note that a licence cannot automatically restore on the source if the source licence is modified between the time of exporting and restoration.

Exporting Different Types of Licence

What happens to a licence when it is exported depends on the licence policy (i.e. on the licence's attributes, such as the type of metering in force and number of concurrent users allowed), as set out in the table below.

Concurrent Users | The number of concurrent users on the source machine will be reduced by the number exported until the exported licence expires or is imported back to the source machine.
Time Limited (Metering / Expiry Date) | As soon as an exported time-limited licence expires, the source licence will be automatically reinstated. For example, you can set the exported licence to expire after seven days and when it does the licence is automatically restored on the source machine (a licence cannot automatically restore except on the source machine ).
Unit Metering | It is not possible to automatically reinstate a unit metered licence. To recover the unconsumed units in the exported licence, the user has to manually import the licence back to the source machine.

Procedure

Target
  1. Register the product you wish to use by clicking the Registry button on the toolbar to open the Sheriff Registry (proceed to 1(b) if the product is already registered). Type in the name of the product, the Product ID and select a path for the licence file. Close the Registry.

  2. Import the product by clicking the Import button - the Import Product dialog box displays. Select the product you want to import, then click the import button - an Import Licence dialog box displays a Reference Code.
Source

  1. Click the Export button and the Exporting Licence dialog box is displayed.

  2. Select the product to be exported and click the Export button. The Export dialog box is displayed.

  3. Enter the Reference Code referred to above and define the Licence Policy by selecting the appropriate features (E.g. Expiry Date). Note that the available features will depend upon the attributes of the policy. Click on Generate and a licence key is displayed.
Target

  1. Enter the licence key into the Import Licence dialog box.

  2. Click on Import and the product is enabled.


Moving a Licence

Overview

Moving a licence is a special kind of exporting. When you want to permanently relocate a licence from one machine to another, you use the Move function. The Move function is also useful if you want to upgrade your hardware, since the licence can be moved temporarily to another machine and then moved back again.

For example, if you were upgrading your file server you would want to move the current licence to the new server. In this instance, don't forget that you would have to re-register the licence on the client PCs.

Procedure

In this example, PC1 is the original machine and PC2 is the machine to which you wish to transfer the licence.

PC1 : Select Licence | Move and choose the product licence that you wish to move.
PC1 : Click on Move and you will see the Move Licence dialog box.
PC2 : Generate a Reference Code
PC1 : Enter the Reference Code into the Move Licence dialog box.
PC1 : Click on Generate to generate a Licence Key
PC2 : Using the Licence Import facility, import the licence

Notes

  • An exported licence cannot be moved, it can only be imported back to the source machine..
  • All exported licences should be reclaimed prior to moving the licence on the source machine..
  • The software publisher may disable the move facility.


Terminating/Removing a Licence

Generally licences terminate automatically, for example if unit metering has been enabled and all the units are consumed, however there may be instances where it is necessary to terminate a licence manually.

For example, you may wish to change a hardware component but be unable to use the 'move licence' facility (see previous topic) because there is no other system available. In such cases you must request the publisher to generate a new Licence Key for your software but before doing this the publisher must verify that the original licence has been terminated.

Procedure for Terminating a Licence

  • Click the Licence menu and select Terminate.

  • The Terminate Product dialog box displays the currently registered products. Select a product to terminate and click on the Terminate button.

  • When you have confirmed that the product should be terminated, the Termination Code is displayed. Make a note of this so that it can be verified by the publisher. When the product is re-installed the publisher will issue a new Licence Key.

Removing a Product Licence

The licence removal facility is normally only used by software developers and is documented in the Sheriff Licence Key Generator on-line help.


Networking Sheriff

Networking: The Basics

To provide network access to a Sheriff-protected product you need to ensure that the licence file is in a shared location - either a mapped drive or else a drive that is accessible via UNC.

The product has to be registered on every workstation on which it is to be run. Run the Sheriff Administrator on each workstation to specify the Product ID and the path to the licence file. See topic Licensing & Registering for further details. The maximum number of concurrent users cannot exceed that shown in the licence properties.

To display the licence properties open the Sheriff Registry, select the product and click on Properties.

NB. To overcome potential problems due to lack of synchronisation between system clocks on the server and workstations, the Sheriff Clock (SlsClock.exe) application should be left running on the server. SlsClock was introduced in Sheriff 2.4.


Licence Monitoring

Networking: Licence Monitoring

You can monitor active programs and which active users have access to them.

Run the Sheriff Administrator on the server (the machine on which the shared licence is installed) then click on Monitor in the toolbar to display a list of software programs for which you are licensed. Select a product from those listed in the Product window and click on Monitor. The Properties for the selected product are displayed. Click on Close and the active users are displayed.

In this example four users are running the Sheriff Demo program.

  • Login Date/Time shows when an active program was opened by a user.
  • Update Date/Time shows when an program was last verified (see below)

A red circle indicates that the program has been verified by the Sheriff Licence System (SLS) and granted permission to run. Usually an active program updates SLS with its current status every five minutes or so but the specified interval varies according to the program.

A red circle changing to white indicates that the program has not been verified by SLS during the specified interval and will be terminated unless the situation is corrected.


Delete an Active User

Networking: Delete Users

Highlight the user you wish to delete and click on the delete button. You will be prompted to confirm the deletion.

Normally you will only do this you when you have reached the limit of authorised concurrent licences and you wish to grant access to another user. For example, if you have a concurrency limit of four users and it is urgent that John is granted access, you could choose to delete Michael to make way for John.

Note that deleting a user does not prevent that user from running the software program again - it temporarily suspends the user. Also, the effect of deleting a user may be delayed, depending on how frequently the program checks its licence file.